# Tapioca-Wrapper

[![Join the chat at https://gitter.im/vintasoftware/tapioca-wrapper](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/vintasoftware/tapioca-wrapper?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Build Status](https://github.com/vintasoftware/tapioca-wrapper/actions/workflows/build.yml/badge.svg)](https://github.com/vintasoftware/tapioca-wrapper/actions/workflows/build.yml)
[![Coverage Status](https://coveralls.io/repos/vintasoftware/tapioca-wrapper/badge.svg?branch=master&service=github)](https://coveralls.io/github/vintasoftware/tapioca-wrapper?branch=master)
[![Current version at PyPI](https://img.shields.io/pypi/v/tapioca-wrapper.svg)](https://pypi.python.org/pypi/tapioca-wrapper)
![Supported Python Versions](https://img.shields.io/pypi/pyversions/tapioca-wrapper.svg)
[![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/vintasoftware/tapioca-wrapper/master/LICENSE)

![](docs/static/logo.png)

Tapioca helps you generating Python clients for APIs.
APIs wrapped by Tapioca are explorable and follow a simple interaction pattern that works uniformly so developers don't need to learn how to use a new coding interface/style for each service API.


## Documentation

Full documentation hosted by [readthedocs](http://tapioca-wrapper.readthedocs.org/).

## Flavours

You can find the full list of available tapioca clients [here](http://tapioca-wrapper.readthedocs.org/en/stable/flavours.html).

To create new flavours, refer to [Building a wrapper](http://tapioca-wrapper.readthedocs.org/en/stable/buildingawrapper.html) in the documentation. There is also a [cookiecutter template](https://github.com/vintasoftware/cookiecutter-tapioca) to help bootstraping new API clients.

## Contributing

### Setup dev environment

Tapioca-Wrapper is ready for development with [Dev Container](https://code.visualstudio.com/docs/devcontainers/tutorial). After downloading the code you just need to use "Reopen in Container option and after building run `make setup-devcontainer` just once.

### How to Release:

#### Pre release:
- Include the changes in `docs/source/changelog.rst`
- Update the version in `tapioca/__init__.py`

#### Release:
- Run the github action [build](https://github.com/vintasoftware/tapioca-wrapper/actions/workflows/build-release.yml)

#### Post release:
- Create tag with the version number to deploy the docs

## Other resources

- [Contributors](https://github.com/vintasoftware/tapioca-wrapper/graphs/contributors)
- [Changelog](http://tapioca-wrapper.readthedocs.org/en/stable/changelog.html)
- [Blog post explaining the basics about Tapioca](http://www.vinta.com.br/blog/2016/python-api-clients-with-tapioca/)

## Help

If you have any questions or need help, please send an email to: contact@vinta.com.br

## Commercial Support

This project, as other Vinta open-source projects, is used in products of Vinta clients. We are always looking for exciting work, so if you need any commercial support, feel free to get in touch: contact@vinta.com.br
